elm::map Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::map Struct Reference

Class map. More...

## Public Member Functions
| map (Eo *eo)
| Eo Constructor. More...
| map (std::nullptr_t)
| nullptr_t Constructor. More...
| map (map const &other)
| Copy Constructor.
void | source_set (Elm_Map_Source_Type type_,::efl::eina::string_view source_name_) const
::efl::eina::string_view | source_get (Elm_Map_Source_Type type_) const
Elm_Map_Route * | route_add (Elm_Map_Route_Type type_, Elm_Map_Route_Method method_, double flon_, double flat_, double tlon_, double tlat_, Elm_Map_Route_Cb route_cb_, void *data_) const
::evas::object | track_add (void *emap_) const
void | region_to_canvas_convert (double lon_, double lat_, Evas_Coord *x_, Evas_Coord *y_) const
Elm_Map_Overlay * | overlay_circle_add (double lon_, double lat_, double radius_) const
const char ** | sources_get (Elm_Map_Source_Type type_) const
Elm_Map_Overlay * | overlay_line_add (double flon_, double flat_, double tlon_, double tlat_) const
void | region_show (double lon_, double lat_) const
Elm_Map_Name * | name_add (::efl::eina::optional< ::efl::eina::string_view > address_, double lon_, double lat_, Elm_Map_Name_Cb name_cb_, void *data_) const
void | name_search (::efl::eina::string_view address_, Elm_Map_Name_List_Cb name_cb_, void *data_) const
void | region_bring_in (double lon_, double lat_) const
void | region_zoom_bring_in (int zoom_, double lon_, double lat_) const
void | track_remove (::evas::object route_) const
Elm_Map_Overlay * | overlay_route_add (const Elm_Map_Route *route_) const
Elm_Map_Overlay * | overlay_scale_add (Evas_Coord x_, Evas_Coord y_) const
Elm_Map_Overlay * | overlay_add (double lon_, double lat_) const
void | canvas_to_region_convert (Evas_Coord x_, Evas_Coord y_, double *lon_, double *lat_) const
| map (::efl::eo::parent_type _p)
| Constructs a new elm::map object. More...

## Detailed Description

Class map.

## Constructor & Destructor Documentation

elm::map::map | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::map object.

Constructs a new elm::map object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::map my_map(efl::eo::parent = parent_object);

See also
  map(Eo* eo)

elm::map::map | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::map::map | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void elm::map::canvas_to_region_convert | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | double * | lon_,
|  | double * | lat_
| ) |  | const

Parameters

  | x |
  | y |
  [out] | lon |
  [out] | lat |

Elm_Map_Name* elm::map::name_add | ( | ::efl::eina::optional< ::efl::eina::string_view > | address_,
|  | double | lon_,
|  | double | lat_,
|  | Elm_Map_Name_Cb | name_cb_,
|  | void * | data_
| ) |  | const

Parameters

  address |
  lon |
  lat |
  name_cb |
  data |

void elm::map::name_search | ( | ::efl::eina::string_view | address_,
|  | Elm_Map_Name_List_Cb | name_cb_,
|  | void * | data_
| ) |  | const

Parameters

  address |
  name_cb |
  data |

Elm_Map_Overlay* elm::map::overlay_add | ( | double | lon_,
|  | double | lat_
| ) |  | const

Parameters

  lon |
  lat |

Elm_Map_Overlay* elm::map::overlay_circle_add | ( | double | lon_,
|  | double | lat_,
|  | double | radius_
| ) |  | const

Parameters

  lon |
  lat |
  radius |

Elm_Map_Overlay* elm::map::overlay_line_add | ( | double | flon_,
|  | double | flat_,
|  | double | tlon_,
|  | double | tlat_
| ) |  | const

Parameters

  flon |
  flat |
  tlon |
  tlat |

Elm_Map_Overlay* elm::map::overlay_route_add | ( | const Elm_Map_Route * | route_ | ) | const

Parameters

  route |

Elm_Map_Overlay* elm::map::overlay_scale_add | ( | Evas_Coord | x_,
|  | Evas_Coord | y_
| ) |  | const

Parameters

  x |
  y |

void elm::map::region_bring_in | ( | double | lon_,
|  | double | lat_
| ) |  | const

Parameters

  lon |
  lat |

void elm::map::region_show | ( | double | lon_,
|  | double | lat_
| ) |  | const

Parameters

  lon |
  lat |

void elm::map::region_to_canvas_convert | ( | double | lon_,
|  | double | lat_,
|  | Evas_Coord * | x_,
|  | Evas_Coord * | y_
| ) |  | const

Parameters

  | lon |
  | lat |
  [out] | x |
  [out] | y |

void elm::map::region_zoom_bring_in | ( | int | zoom_,
|  | double | lon_,
|  | double | lat_
| ) |  | const

Parameters

  zoom |
  lon |
  lat |

Elm_Map_Route* elm::map::route_add | ( | Elm_Map_Route_Type | type_,
|  | Elm_Map_Route_Method | method_,
|  | double | flon_,
|  | double | flat_,
|  | double | tlon_,
|  | double | tlat_,
|  | Elm_Map_Route_Cb | route_cb_,
|  | void * | data_
| ) |  | const

Parameters

  type |
  method |
  flon |
  flat |
  tlon |
  tlat |
  route_cb |
  data |

::efl::eina::string_view elm::map::source_get | ( | Elm_Map_Source_Type | type_ | ) | const

Parameters

  type |

void elm::map::source_set | ( | Elm_Map_Source_Type | type_,
|  | ::efl::eina::string_view | source_name_
| ) |  | const

Parameters

  type |
  source_name |

const char** elm::map::sources_get | ( | Elm_Map_Source_Type | type_ | ) | const

Parameters

  type |

::evas::object elm::map::track_add | ( | void * | emap_ | ) | const

Parameters

  emap |

void elm::map::track_remove | ( | ::evas::object | route_ | ) | const

Parameters

  route |